- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes

# AttributeComboboxMap Class Reference

Search for all occurrences

## Detailed Description

Definition at line 288 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for AttributeComboboxMap:
[legend]

List of all members.

## Public Slots
void | OnActivate (int)
## Public Member Functions
| AttributeComboboxMap (QWidget *pParent, int iWidth, astring *pAttribute, const QMap< QString, QString > &pMap)
## Protected Member Functions
void | Update (const QMap< QString, QString > &)
## Static Protected Member Functions
static void | Update (QComboBox *cComboBox, const QMap< QString, QString > &pMap, const QString &sSelected)
## Protected Attributes
QComboBox | m_cCombo

## Constructor & Destructor Documentation

AttributeComboboxMap | ( | QWidget * | pParent,
|  | int | iWidth,
|  | astring * | pAttribute,
|  | const QMap< QString, QString > & | pMap
| ) |  |

## Member Function Documentation

void Update | ( | const QMap< QString, QString > & |  | ) | `[protected]`

Search for all occurrences

static void Update | ( | QComboBox * | cComboBox,
|  | const QMap< QString, QString > & | pMap,
|  | const QString & | sSelected
| ) |  | `[static, protected]`

Search for all occurrences

void OnActivate | ( | int |  | ) | `[slot]`

Search for all occurrences

## Member Data Documentation

QComboBox m_cCombo `[protected]`

Search for all occurrences

Definition at line 293 of file widgets.h.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap
AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap AttributeComboboxMap